Name:           libva-xvba-driver
Version:        0.8.0
Release:        1%{?dist}
Summary:        HW video decode support for XvBA platforms.

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://cgit.freedesktop.org/vaapi/xvba-driver/
Source0:        http://cgit.freedesktop.org/vaapi/xvba-driver/snapshot/xvba-driver-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool
BuildRequires:  libva-devel
BuildRequires:  xorg-x11-drv-catalyst-devel


%description
HW video decode support for XvBA platforms.



%prep
%setup -q -n xvba-driver-%{version}
autoreconf -vif


%build
export CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/fglrx"
export LDFLAGS="-L%{_libdir}/catalyst"
%configure --disable-static \
  --enable-libxvba-dlopen

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/dri/*_drv_video.so


%changelog
* Tue Dec 20 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.8.0-1
- Initial spec file

